Subject: bug#65614: cgroups increase to 65555 preventing docker to start

From: Sergiu Ivanov <[email-masked]>
Date: Sat, 02 Sep 2023 22:25:43 +0200

Hello,

I have a similar issue, related to cgroups as well: after a recent
update, I cannot start my LXC containers anymore.

This is how I generally start one of my LXC containers, called arch:

# lxc-start -n arch

I add the -F switch to get the following more detailed error log:

lxc-start: arch: cgroups/cgfsng.c: cg_legacy_set_data: 2678 No such file or directory - Failed to setup limits for the "devices" controller. The controller seems to be unused by "cgfsng" cgroup driver or not enabled on the cgroup hierarchy
lxc-start: arch: cgroups/cgfsng.c: cgfsng_setup_limits_legacy: 2745 No such file or directory - Failed to set "devices.deny" to "a"
lxc-start: arch: start.c: lxc_spawn: 1896 Failed to setup legacy device cgroup controller limits
lxc-start: arch: start.c: __lxc_start: 2074 Failed to spawn container "arch"
lxc-start: arch: tools/lxc_start.c: main: 306 The container failed to start
lxc-start: arch: tools/lxc_start.c: main: 311 Additional information can be obtained by setting the --logfile and --logpriority options

I tried tinkering a little with the cgroups-related options in my
container configuration, but that had zero impact on the error message.

-
Sergiu